Viewing docs for Cisco Meraki v0.4.6
published on Thursday, Feb 26, 2026 by Pulumi
published on Thursday, Feb 26, 2026 by Pulumi
Viewing docs for Cisco Meraki v0.4.6
published on Thursday, Feb 26, 2026 by Pulumi
published on Thursday, Feb 26, 2026 by Pulumi
Example Usage
import * as pulumi from "@pulumi/pulumi";
import * as meraki from "@pulumi/meraki";
const example = meraki.networks.getApplianceRfProfiles({
networkId: "string",
});
export const merakiNetworksApplianceRfProfilesExample = example.then(example => example.item);
import pulumi
import pulumi_meraki as meraki
example = meraki.networks.get_appliance_rf_profiles(network_id="string")
pulumi.export("merakiNetworksApplianceRfProfilesExample", example.item)
package main
import (
"github.com/pulumi/pulumi-meraki/sdk/go/meraki/networks"
"github.com/pulumi/pulumi/sdk/v3/go/pulumi"
)
func main() {
pulumi.Run(func(ctx *pulumi.Context) error {
example, err := networks.LookupApplianceRfProfiles(ctx, &networks.LookupApplianceRfProfilesArgs{
NetworkId: pulumi.StringRef("string"),
}, nil)
if err != nil {
return err
}
ctx.Export("merakiNetworksApplianceRfProfilesExample", example.Item)
return nil
})
}
using System.Collections.Generic;
using System.Linq;
using Pulumi;
using Meraki = Pulumi.Meraki;
return await Deployment.RunAsync(() =>
{
var example = Meraki.Networks.GetApplianceRfProfiles.Invoke(new()
{
NetworkId = "string",
});
return new Dictionary<string, object?>
{
["merakiNetworksApplianceRfProfilesExample"] = example.Apply(getApplianceRfProfilesResult => getApplianceRfProfilesResult.Item),
};
});
package generated_program;
import com.pulumi.Context;
import com.pulumi.Pulumi;
import com.pulumi.core.Output;
import com.pulumi.meraki.networks.NetworksFunctions;
import com.pulumi.meraki.networks.inputs.GetApplianceRfProfilesArgs;
import java.util.List;
import java.util.ArrayList;
import java.util.Map;
import java.io.File;
import java.nio.file.Files;
import java.nio.file.Paths;
public class App {
public static void main(String[] args) {
Pulumi.run(App::stack);
}
public static void stack(Context ctx) {
final var example = NetworksFunctions.getApplianceRfProfiles(GetApplianceRfProfilesArgs.builder()
.networkId("string")
.build());
ctx.export("merakiNetworksApplianceRfProfilesExample", example.item());
}
}
variables:
example:
fn::invoke:
function: meraki:networks:getApplianceRfProfiles
arguments:
networkId: string
outputs:
merakiNetworksApplianceRfProfilesExample: ${example.item}
Using getApplianceRfProfiles
Two invocation forms are available. The direct form accepts plain arguments and either blocks until the result value is available, or returns a Promise-wrapped result. The output form accepts Input-wrapped arguments and returns an Output-wrapped result.
function getApplianceRfProfiles(args: GetApplianceRfProfilesArgs, opts?: InvokeOptions): Promise<GetApplianceRfProfilesResult>
function getApplianceRfProfilesOutput(args: GetApplianceRfProfilesOutputArgs, opts?: InvokeOptions): Output<GetApplianceRfProfilesResult>def get_appliance_rf_profiles(network_id: Optional[str] = None,
rf_profile_id: Optional[str] = None,
opts: Optional[InvokeOptions] = None) -> GetApplianceRfProfilesResult
def get_appliance_rf_profiles_output(network_id: Optional[pulumi.Input[str]] = None,
rf_profile_id: Optional[pulumi.Input[str]] = None,
opts: Optional[InvokeOptions] = None) -> Output[GetApplianceRfProfilesResult]func LookupApplianceRfProfiles(ctx *Context, args *LookupApplianceRfProfilesArgs, opts ...InvokeOption) (*LookupApplianceRfProfilesResult, error)
func LookupApplianceRfProfilesOutput(ctx *Context, args *LookupApplianceRfProfilesOutputArgs, opts ...InvokeOption) LookupApplianceRfProfilesResultOutput> Note: This function is named LookupApplianceRfProfiles in the Go SDK.
public static class GetApplianceRfProfiles
{
public static Task<GetApplianceRfProfilesResult> InvokeAsync(GetApplianceRfProfilesArgs args, InvokeOptions? opts = null)
public static Output<GetApplianceRfProfilesResult> Invoke(GetApplianceRfProfilesInvokeArgs args, InvokeOptions? opts = null)
}public static CompletableFuture<GetApplianceRfProfilesResult> getApplianceRfProfiles(GetApplianceRfProfilesArgs args, InvokeOptions options)
public static Output<GetApplianceRfProfilesResult> getApplianceRfProfiles(GetApplianceRfProfilesArgs args, InvokeOptions options)
fn::invoke:
function: meraki:networks/getApplianceRfProfiles:getApplianceRfProfiles
arguments:
# arguments dictionaryThe following arguments are supported:
- Network
Id string - networkId path parameter. Network ID
- Rf
Profile stringId - rfProfileId path parameter. Rf profile ID
- Network
Id string - networkId path parameter. Network ID
- Rf
Profile stringId - rfProfileId path parameter. Rf profile ID
- network
Id String - networkId path parameter. Network ID
- rf
Profile StringId - rfProfileId path parameter. Rf profile ID
- network
Id string - networkId path parameter. Network ID
- rf
Profile stringId - rfProfileId path parameter. Rf profile ID
- network_
id str - networkId path parameter. Network ID
- rf_
profile_ strid - rfProfileId path parameter. Rf profile ID
- network
Id String - networkId path parameter. Network ID
- rf
Profile StringId - rfProfileId path parameter. Rf profile ID
getApplianceRfProfiles Result
The following output properties are available:
- Id string
- The provider-assigned unique ID for this managed resource.
- Item
Get
Appliance Rf Profiles Item - Network
Id string - networkId path parameter. Network ID
- Rf
Profile stringId - rfProfileId path parameter. Rf profile ID
- Id string
- The provider-assigned unique ID for this managed resource.
- Item
Get
Appliance Rf Profiles Item - Network
Id string - networkId path parameter. Network ID
- Rf
Profile stringId - rfProfileId path parameter. Rf profile ID
- id String
- The provider-assigned unique ID for this managed resource.
- item
Get
Appliance Rf Profiles Item - network
Id String - networkId path parameter. Network ID
- rf
Profile StringId - rfProfileId path parameter. Rf profile ID
- id string
- The provider-assigned unique ID for this managed resource.
- item
Get
Appliance Rf Profiles Item - network
Id string - networkId path parameter. Network ID
- rf
Profile stringId - rfProfileId path parameter. Rf profile ID
- id str
- The provider-assigned unique ID for this managed resource.
- item
Get
Appliance Rf Profiles Item - network_
id str - networkId path parameter. Network ID
- rf_
profile_ strid - rfProfileId path parameter. Rf profile ID
- id String
- The provider-assigned unique ID for this managed resource.
- item Property Map
- network
Id String - networkId path parameter. Network ID
- rf
Profile StringId - rfProfileId path parameter. Rf profile ID
Supporting Types
GetApplianceRfProfilesItem
- Five
Ghz GetSettings Appliance Rf Profiles Item Five Ghz Settings - Settings related to 5Ghz band.
- Id string
- ID of the RF Profile.
- Name string
- The name of the profile.
- Network
Id string - ID of network this RF Profile belongs in.
- Per
Ssid GetSettings Appliance Rf Profiles Item Per Ssid Settings - Per-SSID radio settings by number.
- Two
Four GetGhz Settings Appliance Rf Profiles Item Two Four Ghz Settings - Settings related to 2.4Ghz band.
- Five
Ghz GetSettings Appliance Rf Profiles Item Five Ghz Settings - Settings related to 5Ghz band.
- Id string
- ID of the RF Profile.
- Name string
- The name of the profile.
- Network
Id string - ID of network this RF Profile belongs in.
- Per
Ssid GetSettings Appliance Rf Profiles Item Per Ssid Settings - Per-SSID radio settings by number.
- Two
Four GetGhz Settings Appliance Rf Profiles Item Two Four Ghz Settings - Settings related to 2.4Ghz band.
- five
Ghz GetSettings Appliance Rf Profiles Item Five Ghz Settings - Settings related to 5Ghz band.
- id String
- ID of the RF Profile.
- name String
- The name of the profile.
- network
Id String - ID of network this RF Profile belongs in.
- per
Ssid GetSettings Appliance Rf Profiles Item Per Ssid Settings - Per-SSID radio settings by number.
- two
Four GetGhz Settings Appliance Rf Profiles Item Two Four Ghz Settings - Settings related to 2.4Ghz band.
- five
Ghz GetSettings Appliance Rf Profiles Item Five Ghz Settings - Settings related to 5Ghz band.
- id string
- ID of the RF Profile.
- name string
- The name of the profile.
- network
Id string - ID of network this RF Profile belongs in.
- per
Ssid GetSettings Appliance Rf Profiles Item Per Ssid Settings - Per-SSID radio settings by number.
- two
Four GetGhz Settings Appliance Rf Profiles Item Two Four Ghz Settings - Settings related to 2.4Ghz band.
- five_
ghz_ Getsettings Appliance Rf Profiles Item Five Ghz Settings - Settings related to 5Ghz band.
- id str
- ID of the RF Profile.
- name str
- The name of the profile.
- network_
id str - ID of network this RF Profile belongs in.
- per_
ssid_ Getsettings Appliance Rf Profiles Item Per Ssid Settings - Per-SSID radio settings by number.
- two_
four_ Getghz_ settings Appliance Rf Profiles Item Two Four Ghz Settings - Settings related to 2.4Ghz band.
- five
Ghz Property MapSettings - Settings related to 5Ghz band.
- id String
- ID of the RF Profile.
- name String
- The name of the profile.
- network
Id String - ID of network this RF Profile belongs in.
- per
Ssid Property MapSettings - Per-SSID radio settings by number.
- two
Four Property MapGhz Settings - Settings related to 2.4Ghz band.
GetApplianceRfProfilesItemFiveGhzSettings
- Ax
Enabled bool - Whether ax radio on 5Ghz band is on or off.
- Min
Bitrate int - Min bitrate (Mbps) of 2.4Ghz band.
- Ax
Enabled bool - Whether ax radio on 5Ghz band is on or off.
- Min
Bitrate int - Min bitrate (Mbps) of 2.4Ghz band.
- ax
Enabled Boolean - Whether ax radio on 5Ghz band is on or off.
- min
Bitrate Integer - Min bitrate (Mbps) of 2.4Ghz band.
- ax
Enabled boolean - Whether ax radio on 5Ghz band is on or off.
- min
Bitrate number - Min bitrate (Mbps) of 2.4Ghz band.
- ax_
enabled bool - Whether ax radio on 5Ghz band is on or off.
- min_
bitrate int - Min bitrate (Mbps) of 2.4Ghz band.
- ax
Enabled Boolean - Whether ax radio on 5Ghz band is on or off.
- min
Bitrate Number - Min bitrate (Mbps) of 2.4Ghz band.
GetApplianceRfProfilesItemPerSsidSettings
- Status1
Get
Appliance Rf Profiles Item Per Ssid Settings Status1 - Settings for SSID 1.
- Status2
Get
Appliance Rf Profiles Item Per Ssid Settings Status2 - Settings for SSID 2.
- Status3
Get
Appliance Rf Profiles Item Per Ssid Settings Status3 - Settings for SSID 3.
- Status4
Get
Appliance Rf Profiles Item Per Ssid Settings Status4 - Settings for SSID 4.
- Status1
Get
Appliance Rf Profiles Item Per Ssid Settings Status1 - Settings for SSID 1.
- Status2
Get
Appliance Rf Profiles Item Per Ssid Settings Status2 - Settings for SSID 2.
- Status3
Get
Appliance Rf Profiles Item Per Ssid Settings Status3 - Settings for SSID 3.
- Status4
Get
Appliance Rf Profiles Item Per Ssid Settings Status4 - Settings for SSID 4.
- status1
Get
Appliance Rf Profiles Item Per Ssid Settings Status1 - Settings for SSID 1.
- status2
Get
Appliance Rf Profiles Item Per Ssid Settings Status2 - Settings for SSID 2.
- status3
Get
Appliance Rf Profiles Item Per Ssid Settings Status3 - Settings for SSID 3.
- status4
Get
Appliance Rf Profiles Item Per Ssid Settings Status4 - Settings for SSID 4.
- status1
Get
Appliance Rf Profiles Item Per Ssid Settings Status1 - Settings for SSID 1.
- status2
Get
Appliance Rf Profiles Item Per Ssid Settings Status2 - Settings for SSID 2.
- status3
Get
Appliance Rf Profiles Item Per Ssid Settings Status3 - Settings for SSID 3.
- status4
Get
Appliance Rf Profiles Item Per Ssid Settings Status4 - Settings for SSID 4.
- status1
Get
Appliance Rf Profiles Item Per Ssid Settings Status1 - Settings for SSID 1.
- status2
Get
Appliance Rf Profiles Item Per Ssid Settings Status2 - Settings for SSID 2.
- status3
Get
Appliance Rf Profiles Item Per Ssid Settings Status3 - Settings for SSID 3.
- status4
Get
Appliance Rf Profiles Item Per Ssid Settings Status4 - Settings for SSID 4.
- status1 Property Map
- Settings for SSID 1.
- status2 Property Map
- Settings for SSID 2.
- status3 Property Map
- Settings for SSID 3.
- status4 Property Map
- Settings for SSID 4.
GetApplianceRfProfilesItemPerSsidSettingsStatus1
- Band
Operation stringMode - Band mode of this SSID
- Band
Steering boolEnabled - Whether this SSID steers clients to the most open band between 2.4 GHz and 5 GHz.
- Band
Operation stringMode - Band mode of this SSID
- Band
Steering boolEnabled - Whether this SSID steers clients to the most open band between 2.4 GHz and 5 GHz.
- band
Operation StringMode - Band mode of this SSID
- band
Steering BooleanEnabled - Whether this SSID steers clients to the most open band between 2.4 GHz and 5 GHz.
- band
Operation stringMode - Band mode of this SSID
- band
Steering booleanEnabled - Whether this SSID steers clients to the most open band between 2.4 GHz and 5 GHz.
- band_
operation_ strmode - Band mode of this SSID
- band_
steering_ boolenabled - Whether this SSID steers clients to the most open band between 2.4 GHz and 5 GHz.
- band
Operation StringMode - Band mode of this SSID
- band
Steering BooleanEnabled - Whether this SSID steers clients to the most open band between 2.4 GHz and 5 GHz.
GetApplianceRfProfilesItemPerSsidSettingsStatus2
- Band
Operation stringMode - Band mode of this SSID
- Band
Steering boolEnabled - Whether this SSID steers clients to the most open band between 2.4 GHz and 5 GHz.
- Band
Operation stringMode - Band mode of this SSID
- Band
Steering boolEnabled - Whether this SSID steers clients to the most open band between 2.4 GHz and 5 GHz.
- band
Operation StringMode - Band mode of this SSID
- band
Steering BooleanEnabled - Whether this SSID steers clients to the most open band between 2.4 GHz and 5 GHz.
- band
Operation stringMode - Band mode of this SSID
- band
Steering booleanEnabled - Whether this SSID steers clients to the most open band between 2.4 GHz and 5 GHz.
- band_
operation_ strmode - Band mode of this SSID
- band_
steering_ boolenabled - Whether this SSID steers clients to the most open band between 2.4 GHz and 5 GHz.
- band
Operation StringMode - Band mode of this SSID
- band
Steering BooleanEnabled - Whether this SSID steers clients to the most open band between 2.4 GHz and 5 GHz.
GetApplianceRfProfilesItemPerSsidSettingsStatus3
- Band
Operation stringMode - Band mode of this SSID
- Band
Steering boolEnabled - Whether this SSID steers clients to the most open band between 2.4 GHz and 5 GHz.
- Band
Operation stringMode - Band mode of this SSID
- Band
Steering boolEnabled - Whether this SSID steers clients to the most open band between 2.4 GHz and 5 GHz.
- band
Operation StringMode - Band mode of this SSID
- band
Steering BooleanEnabled - Whether this SSID steers clients to the most open band between 2.4 GHz and 5 GHz.
- band
Operation stringMode - Band mode of this SSID
- band
Steering booleanEnabled - Whether this SSID steers clients to the most open band between 2.4 GHz and 5 GHz.
- band_
operation_ strmode - Band mode of this SSID
- band_
steering_ boolenabled - Whether this SSID steers clients to the most open band between 2.4 GHz and 5 GHz.
- band
Operation StringMode - Band mode of this SSID
- band
Steering BooleanEnabled - Whether this SSID steers clients to the most open band between 2.4 GHz and 5 GHz.
GetApplianceRfProfilesItemPerSsidSettingsStatus4
- Band
Operation stringMode - Band mode of this SSID
- Band
Steering boolEnabled - Whether this SSID steers clients to the most open band between 2.4 GHz and 5 GHz.
- Band
Operation stringMode - Band mode of this SSID
- Band
Steering boolEnabled - Whether this SSID steers clients to the most open band between 2.4 GHz and 5 GHz.
- band
Operation StringMode - Band mode of this SSID
- band
Steering BooleanEnabled - Whether this SSID steers clients to the most open band between 2.4 GHz and 5 GHz.
- band
Operation stringMode - Band mode of this SSID
- band
Steering booleanEnabled - Whether this SSID steers clients to the most open band between 2.4 GHz and 5 GHz.
- band_
operation_ strmode - Band mode of this SSID
- band_
steering_ boolenabled - Whether this SSID steers clients to the most open band between 2.4 GHz and 5 GHz.
- band
Operation StringMode - Band mode of this SSID
- band
Steering BooleanEnabled - Whether this SSID steers clients to the most open band between 2.4 GHz and 5 GHz.
GetApplianceRfProfilesItemTwoFourGhzSettings
- Ax
Enabled bool - Whether ax radio on 2.4Ghz band is on or off.
- Min
Bitrate double - Min bitrate (Mbps) of 2.4Ghz band.
- Ax
Enabled bool - Whether ax radio on 2.4Ghz band is on or off.
- Min
Bitrate float64 - Min bitrate (Mbps) of 2.4Ghz band.
- ax
Enabled Boolean - Whether ax radio on 2.4Ghz band is on or off.
- min
Bitrate Double - Min bitrate (Mbps) of 2.4Ghz band.
- ax
Enabled boolean - Whether ax radio on 2.4Ghz band is on or off.
- min
Bitrate number - Min bitrate (Mbps) of 2.4Ghz band.
- ax_
enabled bool - Whether ax radio on 2.4Ghz band is on or off.
- min_
bitrate float - Min bitrate (Mbps) of 2.4Ghz band.
- ax
Enabled Boolean - Whether ax radio on 2.4Ghz band is on or off.
- min
Bitrate Number - Min bitrate (Mbps) of 2.4Ghz band.
Package Details
- Repository
- meraki pulumi/pulumi-meraki
- License
- Apache-2.0
- Notes
- This Pulumi package is based on the
merakiTerraform Provider.
Viewing docs for Cisco Meraki v0.4.6
published on Thursday, Feb 26, 2026 by Pulumi
published on Thursday, Feb 26, 2026 by Pulumi
